from fastapi import FastAPI
from app.api.routes import router as api_router
from app.core.config import settings

app = FastAPI(
    title=settings.PROJECT_NAME,
    description="A simple Todo API application",
    version="0.1.0",
)

app.include_router(api_router)

@app.get("/health", tags=["health"])
async def health_check():
    return {"status": "healthy"}